#
Summary: This will make some tweaks to the TeX configs.
Name: zz_tex_tweaks
Version: 1.0
Release: 1
Copyright: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Distribution: Fermi Linux v7.1.1
Vendor: Fermilab
Packager: Kevin Hill
requires: textutils tetex-dvips
%description

This rpm modifies dvips to default to file output instead of printer output.
It also changes the default paper size to US Letter instead of A4.
 
%files
%post

#
# comment out 'o |lpr' and move the LetterSize line to first place...
#

cd /usr/share/texmf/dvips/config/
 
cat config.ps | sed 's/^o |lpr/%o |lpr/' >config.ps.tmp
 
csplit -f dvips config.ps.tmp /"@ A4size 210mm 297mm"/
csplit -f dvipsagain dvips01 /"@ letterSize 8.5in 11in"/
csplit -f dvipsyetagain dvipsagain01 2
 
cat dvipsyetagain00 >> dvips00
cat dvipsagain00 >> dvips00
cat dvipsyetagain01 >> dvips00

mv -f config.ps config.ps.rpmsave 
mv -f dvips00 config.ps
rm -f dvipsyetagain00 dvipsyetagain01 dvipsagain00 dvipsagain01
rm -f dvips01 config.ps.tmp

%postun

cd /usr/share/texmf/dvips/config/

[ -f config.ps.rpmsave ] && mv -f config.ps.rpmsave config.ps
 
